## gems 0.9

=== DESCRIPTION ===
Package: gems
Type: Package
Title: Generalized multistate simulation model
Version: 0.9
Date: 2012-01-25
Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
Maintainer: Luisa Salazar Vizcaya <lsalazar@ispm.unibe.ch>
Imports: MASS, methods, msm, mstate, plyr, graphics, stats, utils
Depends: methods
Description: This package allows to simulating and analyzing multistate
        models with general hazard functions. It provides functionality
        for the preparation of hazard functions and parameters,
        simulation from a general multistate model and predicting
        future events. The multistate model is not required to be a
        Markov model and may take the history of previous events into
        account. In the basic version, it allows to simulate from
        transition-specific hazard function, whose parameters are
        multivariable normally distributed.
License: GPL-2
Packaged: 2013-02-01 11:05:06 UTC; Nello
Repository: CRAN
Date/Publication: 2013-02-01 12:42:04

## gems 0.9.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gems
 Type: Package
 Title: Generalized multistate simulation model
-Version: 0.9
+Version: 0.9.1
 Date: 2012-01-25
 Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
 Maintainer: Luisa Salazar Vizcaya <lsalazar@ispm.unibe.ch>
@@ -17,6 +17,7 @@
         transition-specific hazard function, whose parameters are
         multivariable normally distributed.
 License: GPL-2
-Packaged: 2013-02-01 11:05:06 UTC; Nello
+Packaged: 2013-02-18 08:56:42 UTC; Nello
+NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2013-02-01 12:42:04
+Date/Publication: 2013-02-18 13:09:58

## gems 0.9.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gems
 Type: Package
 Title: Generalized multistate simulation model
-Version: 0.9.1
+Version: 0.9.2
 Date: 2012-01-25
 Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
 Maintainer: Luisa Salazar Vizcaya <lsalazar@ispm.unibe.ch>
@@ -17,7 +17,7 @@
         transition-specific hazard function, whose parameters are
         multivariable normally distributed.
 License: GPL-2
-Packaged: 2013-02-18 08:56:42 UTC; Nello
+Packaged: 2013-06-18 21:51:09 UTC; Nello
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2013-02-18 13:09:58
+Date/Publication: 2013-06-19 09:23:10

## gems 0.9.3

=== DESCRIPTION ===
Package: gems
Type: Package
Title: Generalized multistate simulation model
Version: 0.9.3
Date: 2012-01-25
Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
Maintainer: Luisa Salazar Vizcaya <lsalazar@ispm.unibe.ch>
Imports: MASS, methods, msm, mstate, plyr, graphics, stats, utils
Depends: methods
Description: This package allows to simulating and analyzing multistate models with general hazard functions. It provides functionality for the preparation of hazard functions and parameters, simulation from a general multistate model and predicting future events. The multistate model is not required to be a Markov model and may take the history of previous events into account. In the basic version, it allows to simulate from transition-specific hazard function, whose parameters are multivariable normally distributed.
License: GPL-2
Packaged: 2013-07-08 11:33:47 UTC; lsalazar
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-07-08 14:36:14

## gems 0.9.4

=== DESCRIPTION ===
Package: gems
Type: Package
Title: Generalized multistate simulation model
Version: 0.9.4
Date: 2012-01-25
Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
Maintainer: Luisa Salazar Vizcaya <lsalazar@ispm.unibe.ch>
Imports: MASS, methods, msm, mstate, plyr, graphics, stats, utils,
        data.table
Description: This package allows to simulating and analyzing multistate models with general hazard functions. It provides functionality for the preparation of hazard functions and parameters, simulation from a general multistate model and predicting future events. The multistate model is not required to be a Markov model and may take the history of previous events into account. In the basic version, it allows to simulate from transition-specific hazard function, whose parameters are multivariable normally distributed.
License: GPL-2
Packaged: 2014-01-30 10:36:45 UTC; Nello
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-01-30 12:43:53

## gems 0.9.5

=== DESCRIPTION ===
Package: gems
Type: Package
Title: Generalized multistate simulation model
Version: 0.9.5
Date: 2012-01-25
Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
Maintainer: Luisa Salazar Vizcaya <lsalazar@ispm.unibe.ch>
Imports: MASS, methods, msm, mstate, plyr, graphics, stats, utils,
        data.table
Description: This package allows to simulating and analyzing multistate models with general hazard functions. It provides functionality for the preparation of hazard functions and parameters, simulation from a general multistate model and predicting future events. The multistate model is not required to be a Markov model and may take the history of previous events into account. In the basic version, it allows to simulate from transition-specific hazard function, whose parameters are multivariable normally distributed.
License: GPL-2
Packaged: 2014-05-27 13:24:35 UTC; nblaser
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-05-27 15:47:41

## gems 1.0.0

=== DESCRIPTION ===
Package: gems
Type: Package
Title: Generalized Multistate Simulation Model
Version: 1.0.0
Date: 2015-03-11
Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
Maintainer: Luisa Salazar Vizcaya <luisa.salazar@ispm.unibe.ch>
Imports: MASS, methods, msm, plyr, graphics, stats, utils, data.table
Suggests: muhaz
Description: Simulate and analyze multistate models with general hazard functions. gems provides functionality for the preparation of hazard functions and parameters, simulation from a general multistate model and predicting future events. The multistate model is not required to be a Markov model and may take the history of previous events into account. In the basic version, it allows to simulate from transition-specific hazard function, whose parameters are multivariable normally distributed.
License: GPL-2
Packaged: 2015-03-11 09:03:37 UTC; nblaser
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-03-11 11:04:47

## gems 1.1

=== Makefile ===
SUBDIRS = common client server doc po

# Destination root directory for install:
DESTDIR = /
# prefix: install architecture independent files in PREFIX:
PREFIX = usr/local
# exec-prefix: install architecture dependent files in EPREFIX:
EPREFIX = $(PREFIX)
# Path where to Install binaries:
BINPATH = $(DESTDIR)/$(EPREFIX)/bin
# Path where to install man pages:
MANPATH = $(DESTDIR)/$(PREFIX)/man
# Path where to install locale files:
LOCALEPATH = $(DESTDIR)/$(PREFIX)/share/locale

CC = gcc
CFLAGS = -O2
CDEFINES = -DLOCALEDIR=\"$(LOCALEPATH)\"
export CC CFLAGS CDEFINES BINPATH MANPATH LOCALEPATH

.PHONY: all $(SUBDIRS) $(SUBDIRS:%=%-clean) $(SUBDIRS:%=%-remove) \
	$(SUBDIRS:%=%-install) $(SUBDIRS:%=%-uninstall) \
	clean remove install uninstall

all: $(SUBDIRS)

$(SUBDIRS): %:
	$(MAKE) -C $*

$(SUBDIRS:%=%-clean): %-clean:
	$(MAKE) -C $* clean

$(SUBDIRS:%=%-remove): %-remove:
	$(MAKE) -C $* remove

$(SUBDIRS:%=%-install): %-install:
	$(MAKE) -C $* install

$(SUBDIRS:%=%-uninstall): %-uninstall:
	$(MAKE) -C $* uninstall

binary: $(SUBDIRS:%=%-binary)

clean: $(SUBDIRS:%=%-clean)

remove: $(SUBDIRS:%=%-remove)

install: $(SUBDIRS:%=%-install)

uninstall: $(SUBDIRS:%=%-uninstall)

=== client/Makefile ===
SRCDIR = source/
BINDIR = bin/
COMDIR = ../common/

VPATH = $(COMDIR) $(SRCDIR)
INCS = -I$(COMDIR) -I$(SRCDIR)

PACKDEP = $(BINDIR)gems-client.o
COMMONPACKDEP = $(COMDIR)protocol.o $(COMDIR)sighandlers.o

CLIENTDEP = gems-client.c common.h version.h protocol.h sighandlers.h

##################################################

.PHONY: all bindir remove clean install uninstall

all: bindir $(BINDIR)gems-client

bindir:
	@if [ ! -d "$(BINDIR)" ] ; then mkdir "$(BINDIR)"; fi

$(BINDIR)gems-client : $(PACKDEP) $(COMMONPACKDEP)
	$(CC) $(CFLAGS) $(CDEFINES) $(INCS) -o $@ $^

$(BINDIR)gems-client.o : $(CLIENTDEP)
	$(CC) $(CFLAGS) $(CDEFINES) $(INCS) -c $< -o $@

$(COMDIR)protocol.o: protocol.c common.h version.h protocol.h
	cd $(COMDIR) && $(MAKE)	

$(COMDIR)sighandlers.o: ../common/sighandlers.c ../common/sighandlers.h
	cd $(COMDIR) && $(MAKE)	

remove clean:
	rm -f $(PACKDEP) $(BINDIR)gems-client

install: $(BINDIR)gems-client
	install -m755 -s -D $< $(BINPATH)/gems-client

uninstall:
	rm -fv $(BINPATH)/gems-client

=== server/Makefile ===
SRCDIR = source/
BINDIR = bin/
COMDIR = ../common/

VPATH = $(COMDIR) $(SRCDIR)
INCS = -I$(COMDIR) -I$(SRCDIR)

PACKDEP = $(BINDIR)main.o $(BINDIR)log.o $(BINDIR)gems-server.o \
	$(BINDIR)call_script.o 
COMMONPACKDEP = $(COMDIR)protocol.o $(COMDIR)sighandlers.o

MAINDEP = main.c defaults.h sock_info.h gems-server.h log.h version_server.h \
	common.h version.h protocol.h call_script.h main.h

LOGDEP = log.c log.h version_server.h version.h

SERVERDEP = gems-server.c common.h version.h version_server.h protocol.h \
	defaults.h sock_info.h log.h call_script.h gems-server.h sighandlers.h

SCRIPTDEP = call_script.c defaults.h call_script.h common.h \
	version_server.h version.h

##################################################

.PHONY: all bindir remove clean install uninstall

all: bindir $(BINDIR)gems-server

bindir:
	@if [ ! -d "$(BINDIR)" ] ; then mkdir "$(BINDIR)"; fi

$(BINDIR)gems-server : $(PACKDEP) $(COMMONPACKDEP)
	$(CC) $(CFLAGS) $(CDEFINES) $(INCS) $^ -o $@

$(BINDIR)main.o : $(MAINDEP)
	$(CC) $(CFLAGS) $(CDEFINES) $(INCS) -c $< -o $@

$(BINDIR)log.o : $(LOGDEP)
	$(CC) $(CFLAGS) $(CDEFINES) $(INCS) -c $< -o $@

$(BINDIR)call_script.o : $(SCRIPTDEP)
	$(CC) $(CFLAGS) $(CDEFINES) $(INCS) -c $< -o $@

$(BINDIR)gems-server.o : $(SERVERDEP)
	$(CC) $(CFLAGS) $(CDEFINES) $(INCS) -c $< -o $@

$(COMDIR)protocol.o: protocol.c common.h version.h protocol.h
	cd $(COMDIR) && $(MAKE)	

$(COMDIR)sighandlers.o: ../common/sighandlers.c ../common/sighandlers.h
	cd $(COMDIR) && $(MAKE)	

clean remove:
	rm -f $(PACKDEP) $(BINDIR)gems-server

install: $(BINDIR)gems-server
	install -m755 -s -D $< $(BINPATH)/gems-server

uninstall:
	rm -fv $(BINPATH)/gems-server

## gems 1.1.0

=== DESCRIPTION ===
Package: gems
Type: Package
Title: Generalized Multistate Simulation Model
Version: 1.1.0
Date: 2016-11-28
Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
Maintainer: Luisa Salazar Vizcaya <luisa.salazar@ispm.unibe.ch>
Imports: MASS, methods, msm, plyr, graphics, stats, utils, data.table
Suggests: muhaz
Description: Simulate and analyze multistate models with general hazard
    functions. gems provides functionality for the preparation of hazard functions
    and parameters, simulation from a general multistate model and predicting future
    events. The multistate model is not required to be a Markov model and may take
    the history of previous events into account. In the basic version, it allows
    to simulate from transition-specific hazard function, whose parameters are
    multivariable normally distributed.
License: GPL-2
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-11-27 16:18:25 UTC; Nello
Repository: CRAN
Date/Publication: 2016-11-29 08:10:01

## gems 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: gems
 Type: Package
 Title: Generalized Multistate Simulation Model
-Version: 1.1.0
-Date: 2016-11-28
+Version: 1.1.1
+Date: 2017-03-26
 Author: Luisa Salazar Vizcaya, Nello Blaser, Thomas Gsponer
-Maintainer: Luisa Salazar Vizcaya <luisa.salazar@ispm.unibe.ch>
+Maintainer: Luisa Salazar Vizcaya <luisapaola.salazarvizcaya@insel.ch>
 Imports: MASS, methods, msm, plyr, graphics, stats, utils, data.table
 Suggests: muhaz
 Description: Simulate and analyze multistate models with general hazard
@@ -17,6 +17,6 @@
 License: GPL-2
 RoxygenNote: 5.0.1
 NeedsCompilation: no
-Packaged: 2016-11-27 16:18:25 UTC; Nello
+Packaged: 2017-03-26 01:56:07 UTC; luisa
 Repository: CRAN
-Date/Publication: 2016-11-29 08:10:01
+Date/Publication: 2017-03-26 16:02:51 UTC

=== Makefile ===
--- 
+++ 
@@ -49,3 +49,8 @@
 
 uninstall: $(SUBDIRS:%=%-uninstall)
 
+debian-package: dist/debian
+	ln -sf dist/debian debian
+	fakeroot debian/rules binary
+	rm debian
+

=== client/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	rm -f $(PACKDEP) $(BINDIR)gems-client
 
 install: $(BINDIR)gems-client
-	install -m755 -s -D $< $(BINPATH)/gems-client
+	install -m755 -D $< $(BINPATH)/gems-client
 
 uninstall:
 	rm -fv $(BINPATH)/gems-client

=== common/Makefile ===
TARGETS= protocol.o sighandlers.o

.PHONY: all clean remove install uninstall

all: $(TARGETS)

protocol.o : protocol.c protocol.h common.h version.h
	$(CC) $(CFLAGS) $(CDEFINES) -c $<

sighandlers.o : sighandlers.c sighandlers.h
	$(CC) $(CFLAGS) $(CDEFINES) -c $<

clean remove:
	rm -f $(TARGETS)

install:

uninstall:

=== doc/Makefile ===
CLIENT_MAN = gems-client.1
SERVER_MAN = gems-server.1

#extra translations for man pages:
LANGUAGES = es

TRANSLATED_MAN_PAGES = $(LANGUAGES:%=%/$(CLIENT_MAN))
TRANSLATED_MAN_PAGES += $(LANGUAGES:%=%/$(SERVER_MAN))

.PHONY: all remove clean install uninstall

all remove clean:

install: $(CLIENT_MAN) $(SERVER_MAN) $(TRANSLATED_MAN_PAGES)
	install -m644 -D $(CLIENT_MAN) $(MANPATH)/man1/$(CLIENT_MAN)
	install -m644 -D $(SERVER_MAN) $(MANPATH)/man1/$(SERVER_MAN)
	for i in $(LANGUAGES); do \
		install -m644 -D $$i/$(SERVER_MAN) $(MANPATH)/$$i/man1/$(SERVER_MAN); \
		install -m644 -D $$i/$(CLIENT_MAN) $(MANPATH)/$$i/man1/$(CLIENT_MAN); \
	done

uninstall:
	rm -fv $(MANPATH)/man1/$(CLIENT_MAN) $(MANPATH)/man1/$(SERVER_MAN)
	for i in $(LANGUAGES); do \
		rm -fv $(MANPATH)/$$i/man1/$(CLIENT_MAN) $(MANPATH)/$$i/man1/$(SERVER_MAN); \
	done

=== po/Makefile ===
LANGUAGES=es

POT_FILE=gems.pot
MO_FILES=$(LANGUAGES:%=%.mo)

all: $(MO_FILES)

$(POT_FILE): $(shell find .. -name '*.[ch]')
	xgettext -k_ -kN_ -o $@ $^ -d gems -s

$(MO_FILES): %.mo: %.po
	msgfmt -c -o $@ $<

remove clean:
	rm -f $(MO_FILES)

install: $(MO_FILES)
	for i in $(LANGUAGES); do \
		install -m644 -D $$i.mo $(LOCALEPATH)/$$i/LC_MESSAGES/gems.mo; \
	done

uninstall:
	for i in $(LANGUAGES); do \
		rm -fv $(LOCALEPATH)/$$i/LC_MESSAGES/gems.mo; \
	done

=== server/Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	rm -f $(PACKDEP) $(BINDIR)gems-server
 
 install: $(BINDIR)gems-server
-	install -m755 -s -D $< $(BINPATH)/gems-server
+	install -m755 -D $< $(BINPATH)/gems-server
 
 uninstall:
 	rm -fv $(BINPATH)/gems-server

=== debian/changelog ===
gems (1.1.1-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:24:54 +0000

gems (1.1.1-2) unstable; urgency=low

  * Added 01-syslog_format_string.patch (Closes: #643381),
    thanks to Didier Raboud <odyx@debian.org> for reporting.
  * Updated Standards-Version: 3.9.2

 -- Maximiliano Curia <maxy@debian.org>  Sat, 01 Oct 2011 09:47:28 -0300

gems (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Added mode in open call, thanks to:
    Alfonso Cepeda Caballos <cepeda@gmail.com> (Closes: #559644)
  * Modified watch file. (Closes: #550796)
  * Changed maintainer email address.
  * Added new Homepage field.
  * Updated Standards-Version: 3.8.3

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Dec 2009 14:54:57 -0300

gems (1.1-4) unstable; urgency=low

  * Fixed the Makefile so that it doesn't strip by default.
    (patches/nostrip.patch) (Closes: #436967)
  * Converted a source change to simple-patchsys. (patches/oldfix.patch)
  * Updated compat, Standards Version and debhelper dependencies.
  * Changed myself from Uploader to Maintainer.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 14 Aug 2007 23:19:01 -0300

gems (1.1-3) unstable; urgency=high

  * Fix watch file (perhaps...).
  * Use generic (but unofficial) buildinfo cdbs snippet.
  * Set urgency=high to hopefully get this into sarge in time (the
    changes are small but valuable).

 -- Jonas Smedegaard <dr@jones.dk>  Thu,  4 Nov 2004 01:55:52 +0100

gems (1.1-2) unstable; urgency=low

  * First official release for Debian.
  * Sponsored upload (done by "adopting" the package - I hereby accept
    Maximiliano taking over the package again as soon as he becomes
    Debian developer).
  * Repackaged using pristine source.
  * Tightened debian/copyright:
    + Add intro with upstream name and "Debian GNU systems".
    + Add location of upstream source.
    + Copy copyright and licensing info verbatim (from common/common.h).
  * Corrected speling error in long description.
  * Dropped conflicting and replacing non-existing package gemsd.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Sep 2004 11:06:42 +0200

gems (1.1-1) unstable; urgency=low

  * New release.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 24 Sep 2004 20:37:19 -0300

gems (1.0.20040929-1) unstable; urgency=low

  * New CVS update.
  * Lintian cleanups.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sun, 19 Sep 2004 00:59:50 -0300

gems (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Diego Essaya <dessaya@fi.uba.ar>  Thu,  4 Mar 2004 19:57:33 -0300

=== debian/control ===
Source: gems
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: cdbs, debhelper (>= 5), dh-buildinfo
Homepage: http://gforge.lug.fi.uba.ar/projects/gemsd/
Standards-Version: 3.9.2

Package: gems
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shows a console session in several terminals
 The gems system is a client/server application that allows one to show a
 single console session in different computers or terminals in real time. It
 can also be used to transmit any other kind of data to more than one computer
 at the same time, via a network connection.
 .
 It was designed as an educational tool for teachers that have to show in
 a computer lab how to do certain things with the console. Using the
 gems system, each student can observe in his/her own terminal everything the
 teacher does.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR) PREFIX=/usr MANPATH=$(DEB_DESTDIR)/usr/share/man

common-install-arch::
	dh_buildinfo

=== debian/watch ===
# watch control file for uscan
version=3
http://gforge.lug.fi.uba.ar/frs/?group_id=10 \
/frs/download\.php/\d+/gems-([\d\.]*)\.tar\.gz
